Subject: Re: bug#78737: sit-for behavior changes when byte-compiled

From: Stefan Monnier <[email-masked]>
Date: Fri, 13 Jun 2025 12:18:03 -0400

> What I asked, and still didn't get an answer to, is at what point does
> a program that calls read-event becomes interruptible by a single C-g,
> after the changes on the branch?

It's interrupted if the `C-g` occurs while running the code rather than
while sitting inside `read-event`.  For the tight `while t` loop, it's
virtually never.

        Stefan